#include "IDetailSettingsItem.h"

IDetailSettingsItem::IDetailSettingsItem(std::shared_ptr<IDetailSettings> setting, QLabel* label)
    : m_pDetailSettings(setting), m_pDisplayLabel(label)
{

}

std::shared_ptr<IDetailSettings> IDetailSettingsItem::getDetailSettings() const
{
    return m_pDetailSettings;
}
